Last Comment Bug 365039 - [Mac Classic] menus in menulists should have same margin as menuitems
: [Mac Classic] menus in menulists should have same margin as menuitems
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: seamonkey1.1final
Assigned To: Stefan [:stefanh] (away until May 28)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-26 13:35 PST by Stefan [:stefanh] (away until May 28)
Modified: 2007-02-14 15:11 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix menus in menulists (906 bytes, patch)
2006-12-26 13:56 PST, Stefan [:stefanh] (away until May 28)
mnyromyr: review+
neil: superreview+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Review
Before/after screenshot (71.12 KB, image/gif)
2006-12-27 11:03 PST, Stefan [:stefanh] (away until May 28)
no flags Details

Description Stefan [:stefanh] (away until May 28) 2006-12-26 13:35:37 PST
Spin-off from bug 364620. The effect of not having the same styling is that if you have an icon in a menulist menu, the icon is too far at the right compared with the surrounding menuitem icons. Pinstripe doesn't have the issue, but I somehow forget to add it to classic.
Comment 1 Stefan [:stefanh] (away until May 28) 2006-12-26 13:38:14 PST
JFTR: Pinstripe styles: toolkit/themes/pinstripe/global/menu.css#180 etc
Comment 2 Stefan [:stefanh] (away until May 28) 2006-12-26 13:56:39 PST
Created attachment 249718 [details] [diff] [review]
Fix menus in menulists

This will fix the issue with menus in menulists. If you have a menu in a menulist with an icon, the icon does not line up with the label text anymore (same behaviour as menuitems). Not sure if it's too late for 1.1...
Comment 3 neil@parkwaycc.co.uk 2006-12-26 14:40:05 PST
Any chance of a before/after screenshot?
Comment 4 Stefan [:stefanh] (away until May 28) 2006-12-27 11:03:15 PST
Created attachment 249782 [details]
Before/after screenshot

Here's a screenshot. Note that I wouldn't mind having the icons left margin align with the left margin of the menuitem labels. But (iirc) that would affect the checkmarks as well - and they should not be aligned with the labels. So, this was a compromise when I did the native styling. What I did was that I forgot the menus, though. Note also that I have never seen any icon in a "real" mac menulist. Ideally, I would like one widget for menuitems with checkmarks and one other for menuitems with icons - now they use the same menu-iconic one.
Comment 5 Stefan [:stefanh] (away until May 28) 2007-02-04 07:48:34 PST
Comment on attachment 249718 [details] [diff] [review]
Fix menus in menulists

Removing obsolete request...
Comment 6 Stefan [:stefanh] (away until May 28) 2007-02-11 15:55:23 PST
Karsten, can you check this in on trunk, please? Some baking is always good.
Comment 7 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-11 15:56:42 PST
Comment on attachment 249718 [details] [diff] [review]
Fix menus in menulists

first-a=me, need one more
Comment 8 Karsten Düsterloh 2007-02-12 12:26:33 PST
Landed on trunk.
Comment 9 Robert Kaiser (not working on stability any more) 2007-02-14 06:02:55 PST
Comment on attachment 249718 [details] [diff] [review]
Fix menus in menulists

a=me for 1.1.1
Comment 10 Karsten Düsterloh 2007-02-14 14:22:14 PST
Landed on MOZILLA_1_8_BRANCH.

Note You need to log in before you can comment on or make changes to this bug.